-- ----------------------------
-- Table structure for TM_CODE_TABLE
-- ----------------------------
DROP TABLE "TM_CODE_TABLE";
DROP SEQUENCE "S_TM_CODE_TABLE_ID";
CREATE SEQUENCE "S_TM_CODE_TABLE_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_CODE_TABLE" 
   (	
    "ID" NUMBER VISIBLE DEFAULT "S_TM_CODE_TABLE_ID"."NEXTVAL" NOT NULL,
    "CODE_TYPE" VARCHAR2(50 BYTE) NOT NULL,
	"CODE_VALUE" VARCHAR2(50 BYTE) NOT NULL,
	"CODE_DESC" VARCHAR2(255 BYTE) NOT NULL,
	"CREATE_DATE" DATE NOT NULL,
	"CREATE_NAME" VARCHAR2(90 BYTE) NOT NULL);
	 
-- ----------------------------
-- Primary Key structure for table TM_CODE_TABLE
-- ----------------------------
ALTER TABLE "TM_CODE_TABLE" ADD CONSTRAINT "TM_CODE_TABLE_PK" PRIMARY KEY ("ID");
CREATE INDEX "TM_CODE_TABLE_IDX1" ON "TM_CODE_TABLE" ("CODE_TYPE", "CODE_VALUE");

COMMENT ON COLUMN "TM_CODE_TABLE"."ID" IS '流水號';
COMMENT ON COLUMN "TM_CODE_TABLE"."CODE_TYPE" IS '代碼種類';
COMMENT ON COLUMN "TM_CODE_TABLE"."CODE_VALUE" IS '代碼值';
COMMENT ON COLUMN "TM_CODE_TABLE"."CODE_DESC" IS '代碼說明';
COMMENT ON COLUMN "TM_CODE_TABLE"."CREATE_DATE" IS '建立時間';
COMMENT ON COLUMN "TM_CODE_TABLE"."CREATE_NAME" IS '建立人員';
COMMENT ON TABLE "TM_CODE_TABLE" IS '公用代碼檔';

-- ----------------------------
-- Table structure for TM_CMSNEW_ACTIONLOG
-- ----------------------------
DROP TABLE "TM_CMSNEW_ACTIONLOG";
DROP SEQUENCE "S_TM_CMSNEW_ACTIONLOG_ID";
CREATE SEQUENCE "S_TM_CMSNEW_ACTIONLOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_CMSNEW_ACTIONLOG" 
   (
    "SEQ_NO" NUMBER(19,0) VISIBLE DEFAULT "S_TM_CMSNEW_ACTIONLOG_ID"."NEXTVAL" NOT NULL, 
    "ID" NUMBER(19,0) NOT NULL,	
	"ACTION" VARCHAR2(4 BYTE), 
	"ACTION_MEMO" VARCHAR2(600 BYTE),	
    "CREATE_DATE" DATE, 	
	"OFFICER_NAME" VARCHAR2(90 BYTE));
	 
-- ----------------------------
-- Primary Key structure for table TM_CMSNEW_ACTIONLOG
-- ----------------------------
ALTER TABLE "TM_CMSNEW_ACTIONLOG" ADD CONSTRAINT "TM_CMSNEW_ACTIONLOG_PK" PRIMARY KEY ("SEQ_NO");
	 
	 
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."SEQ_NO" IS '歷程流水號';
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."ID" IS '草稿流水號';
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."ACTION" IS '狀態';
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."ACTION_MEMO" IS '原因';
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."CREATE_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_CMSNEW_ACTIONLOG"."OFFICER_NAME" IS '建立人員';
COMMENT ON TABLE "TM_CMSNEW_ACTIONLOG" IS '草稿變更歷程紀錄檔';

-- ----------------------------
-- Table structure for TM_CMSNEW_IMAGE
-- ----------------------------
DROP TABLE "TM_CMSNEW_IMAGE";
DROP SEQUENCE "S_TM_CMSNEW_IMAGE_KEY";
CREATE SEQUENCE "S_TM_CMSNEW_IMAGE_KEY" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_CMSNEW_IMAGE" 
   (	
    "IMAGE_KEY" NUMBER(19,0) VISIBLE DEFAULT "S_TM_CMSNEW_IMAGE_KEY"."NEXTVAL" NOT NULL,
    "IMAGE_CONTENT" CLOB NOT NULL, 	
	"DRAFT_ID" NUMBER(19,0),
	"IMAGE_TYPE" VARCHAR2(2 BYTE) NOT NULL,
	"FILE_TYPE" VARCHAR2(4 BYTE), 		
	"CREATE_DATE" DATE, 
	"CREATE_NAME" VARCHAR2(90 BYTE));

-- ----------------------------
-- Primary Key structure for table TM_CMSNEW_IMAGE
-- ----------------------------
ALTER TABLE "TM_CMSNEW_IMAGE" ADD CONSTRAINT "TM_CMSNEW_IMAGE_PK" PRIMARY KEY ("IMAGE_KEY");
	 
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."IMAGE_KEY" IS '草稿圖片流水號';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."IMAGE_CONTENT" IS '圖片內容';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."DRAFT_ID" IS '草稿流水號';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."IMAGE_TYPE" IS '圖片類型';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."FILE_TYPE" IS '檔案類型';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."CREATE_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_CMSNEW_IMAGE"."CREATE_NAME" IS '建立人員';
COMMENT ON TABLE "TM_CMSNEW_IMAGE" IS '草稿圖片檔';


-- ----------------------------
-- Table structure for TM_CMSNEW_DRAFT
-- ----------------------------
DROP TABLE "TM_CMSNEW_DRAFT";
DROP SEQUENCE "S_TM_CMSNEW_DRAFT_ID";
CREATE SEQUENCE "S_TM_CMSNEW_DRAFT_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_CMSNEW_DRAFT" 
   (	
    "ID" NUMBER(19,0) VISIBLE DEFAULT "S_TM_CMSNEW_DRAFT_ID"."NEXTVAL" NOT NULL,
	"TYPE" VARCHAR2(6 BYTE) NOT NULL, 
	"STATUS" VARCHAR2(6 BYTE) NOT NULL,
	"START_DATE" DATE NOT NULL, 
	"END_DATE" DATE NOT NULL, 
	"TITLE" VARCHAR2(300 BYTE), 
	"CONTENT" CLOB, 
	"DESCRIPTION" VARCHAR2(3000 BYTE), 
    "ACTION_MEMO" VARCHAR2(600 BYTE), 
	"CHARACTER" VARCHAR2(30 BYTE), 
	"IMAGE_KEY1" NUMBER(19,0), 
	"IMAGE_KEY2" NUMBER(19,0), 
	"CREATE_DATE" DATE NOT NULL, 
	"CREATE_IDCARD" VARCHAR2(10 BYTE) NOT NULL, 
	"CREATE_NAME" VARCHAR2(90 BYTE), 	
	"MODI_DATE" DATE);
	 
-- ----------------------------
-- Primary Key structure for table TM_CMSNEW_DRAFT
-- ----------------------------
ALTER TABLE "TM_CMSNEW_DRAFT" ADD CONSTRAINT "TM_CMSNEW_DRAFT_PK" PRIMARY KEY ("ID");

COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."ID" IS '草稿流水號';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."TYPE" IS '資訊種類';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."STATUS" IS '狀態';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."START_DATE" IS '上架時間';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."END_DATE" IS '下架時間';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."TITLE" IS '標題';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."CONTENT" IS '內容';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."DESCRIPTION" IS '說明';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."ACTION_MEMO" IS '操作備註';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."CHARACTER" IS '上架位置';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."IMAGE_KEY1" IS 'PC圖片Key';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."IMAGE_KEY2" IS 'Mobile圖片Key';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."CREATE_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."CREATE_IDCARD" IS '建立人員ID';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."CREATE_NAME" IS '建立人員';
COMMENT ON COLUMN "TM_CMSNEW_DRAFT"."MODI_DATE" IS '修改日期';
COMMENT ON TABLE "TM_CMSNEW_DRAFT" IS '草稿資料檔';

-- ----------------------------
-- Table structure for TM_TMPL_CONFIG_ACTIONLOG
-- ----------------------------
DROP TABLE "TM_TMPL_CONFIG_ACTIONLOG";
DROP SEQUENCE "S_TM_TMPL_CONFIG_ACTIONLOG_ID";
CREATE SEQUENCE "S_TM_TMPL_CONFIG_ACTIONLOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE TM_TMPL_CONFIG_ACTIONLOG
   (	
    "SEQ_NO" NUMBER(19,0) VISIBLE DEFAULT "S_TM_TMPL_CONFIG_ACTIONLOG_ID"."NEXTVAL" NOT NULL, 
	"CONFIG_ID" NUMBER(19,0) NOT NULL ENABLE, 
	"IS_AVAILABLE" VARCHAR2(2 BYTE) NOT NULL ENABLE, 
	"MDF_DATE" DATE, 
	"MDF_USER" VARCHAR2(90 BYTE));

-- ----------------------------
-- Primary Key structure for table TM_TMPL_CONFIG_ACTIONLOG
-- ----------------------------
ALTER TABLE "TM_TMPL_CONFIG_ACTIONLOG" ADD CONSTRAINT "TM_TMPL_CONFIG_ACTIONLOG_PK" PRIMARY KEY ("SEQ_NO");
	 
COMMENT ON COLUMN "TM_TMPL_CONFIG_ACTIONLOG"."SEQ_NO" IS '流水號';
COMMENT ON COLUMN "TM_TMPL_CONFIG_ACTIONLOG"."CONFIG_ID" IS '設定檔ID';
COMMENT ON COLUMN "TM_TMPL_CONFIG_ACTIONLOG"."IS_AVAILABLE" IS '是否啟用';
COMMENT ON COLUMN "TM_TMPL_CONFIG_ACTIONLOG"."MODIFIED_DATE" IS '異動日期';
COMMENT ON COLUMN "TM_TMPL_CONFIG_ACTIONLOG"."MODIFIED_USER" IS '異動人員';
COMMENT ON TABLE "TM_TMPL_CONFIG_ACTIONLOG" IS '通用設定異動紀錄檔';

-- ----------------------------
-- Table structure for TM_CMS_SSO_LOG
-- ----------------------------
DROP TABLE "TM_CMS_SSO_LOG";
CREATE TABLE "TM_CMS_SSO_LOG" 
   (	"LOGIN_TOKEN" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"USER_ACCOUNT" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	"USER_NAME" VARCHAR2(90 BYTE) NOT NULL ENABLE, 
	"GROUP_ROLE" VARCHAR2(10 BYTE) NOT NULL ENABLE, 
	"TARGET_FUNCTION" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"FUNCTIONS" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"CREATE_DATE" DATE NOT NULL ENABLE,
	"JSONSTRING" CLOB);
	 
-- ----------------------------
-- Primary Key structure for table TM_CMS_SSO_LOG
-- ----------------------------
ALTER TABLE "TM_CMS_SSO_LOG" ADD CONSTRAINT "TM_CMS_SSO_LOG_PK" PRIMARY KEY ("LOGIN_TOKEN");
	 
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."LOGIN_TOKEN" IS 'TOKEN';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."USER_ACCOUNT" IS '使用者帳號';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."USER_NAME" IS '使用者名稱';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."GROUP_ROLE" IS '角色群組';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."TARGET_FUNCTION" IS '目標AP功能代號';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."FUNCTIONS" IS '功能選單';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."CREATE_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_CMS_SSO_LOG"."JSONSTRING" IS '核心API的RES';
COMMENT ON TABLE "TM_CMS_SSO_LOG" IS 'SSO記錄檔';

	 




